Bugs: Compile warnings on 1.6.17 and cvs on Debian

Joe Moschetti jmoschetti45 at gmail.com
Wed Aug 10 15:21:12 CST 2005


I've tried to compile 1.6.17 and the cvs version on Debian with GCC
3.3.5 (Debian 1:3.3.5-13) and keep getting the following warnings.
They don't seem to cause any major errors, or at least not any that
I've noticed.

..../server.mod/server.c: In function `next_server':
..../server.mod/server.c:1048: warning: dereferencing type-punned
pointer will break strict-aliasing rules
..../server.mod/server.c: At top level:
..../server.mod/server.c:1342: warning: dereferencing type-punned
pointer will break strict-aliasing rules
..../server.mod/server.c:1350: warning: dereferencing type-punned
pointer will break strict-aliasing rules

-- 
Joe Moschetti
http://jmoschetti.hotrodders.fromadia.com/



More information about the Bugs mailing list